Bug 20064 - QT 2.2.1 build triggers internal compiler error
QT 2.2.1 build triggers internal compiler error
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-10-30 16:10 EST by Ed McKenzie
Modified: 2007-03-26 23:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-31 07:50:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2000-10-30 16:10:01 EST
./configure -system-jpeg -system-libmng -kde -sm -gif

gcc fails at kernel/qapplication_x11.cpp:1242, after a screenful of errors
about undeclared symbols. The internal compiler error is #390, and the
location of the error is at ../gcc/cp/decl2.c:4961.
Comment 1 Ed McKenzie 2000-10-30 16:12:59 EST
kde2.0 requires qt-2.2.1, so i marked this as a high-priority issue ...
Comment 2 Jakub Jelinek 2000-10-31 07:50:50 EST
We build qt-2.2.1 without any problems (see rawhide where you have both
qt2.2.1 and kde2.0 packages). The note about screenful of errors looks like
you have some header problems or something like that.
Anyway, the compiler should not ICE even on bad input, so please rerun the
g++ command which caused it to ICE, including all options given to it
plus -v -save-temps and post here both its full output and the .ii file
(bzip2ed or gzipped) that is generated.
Comment 3 Jakub Jelinek 2000-12-19 05:36:23 EST
Closing, if you have the .ii file which triggers the ICE please reopen.

Note You need to log in before you can comment on or make changes to this bug.